                                
device = 18f2550 ' Choose a device with on-board full speed USB
    keep_hex_file = on
    watchdog = on
    xtal = 48 ' Set the oscillator speed 
    bootloader = OFF
    onboard_usb = off

    config_start
          PLLDIV = 5		; Divide by 5 (20 MHz input)
          CPUDIV = OSC1_PLL2; [OSC1/OSC2 Src: /1][96 MHz PLL Src: /2]
          USBDIV = 2		; Clock source from 96 MHz PLL/2
          FOSC = HSPLL_HS   ; HS oscillator, PLL enabled and under software control
          FCMEN = OFF		; Fail-Safe Clock Monitor Disabled
          IESO = OFF		; Internal/External Switch Over Disabled
          VREGEN = on		; USB Voltage Regulator Enabled
          WDT = on
          WDTPS = 128		; 1:128
          MCLRE = off		; Enabled
          LPT1OSC = on	    ; Timer1 oscillator configured for low power
          PBADEN = OFF	    ; PORTB<4:0> pins are configured as digital I/O on Reset
          STVREN = on	    ; Stack Overflow Reset Disabled
          LVP = OFF		    ; Low Voltage ICSP Disabled
          XINST = OFF		; Extended Instruction Set Disabled
          CP0 = on		    ; Code Protection Block 0 Disabled
          CP1 = on		    ; Code Protection Block 1 Disabled
          CPB = on		    ; Boot Block Code Protection Disabled
          WRT0 = on		    ; Write Protection Block 0 Disabled
          WRT1 = on		    ; Write Protection Block 1 Disabled
          WRTB = on		    ; Boot Block Write Protection Disabled
          WRTC = on		    ; Configuration Register Write Protection Disabled
          EBTRB = off		; Boot Block Table Read Protection Disabled

          EBTR0 = OFF		; Table Read Protection Block 0 Disabled
          EBTR1 = OFF		; Table Read Protection Block 1 Disabled
     config_end



      
'////////////////////////////////////////


symbol toneout =    PORTC.2    


ProgramStart:
       low toneout;
       
main:
     dtmfout toneout, 500, 100, [7, 4, 9, 9, 9, 0]
     delayms 3000

goto main


end


